using System;
namespace Phoenix.Communication.Headers
{
    internal sealed class MessageIncoming
    {
        public const int OpenConnectionMessageEvent = 2;
        public const int InfoRetrieveMessageEvent = 7;
        public const int GetCreditsInfoEvent = 8;
        public const int MessengerInitMessageEvent = 12;
        public const int FriendListUpdateMessageEvent = 15;
        public const int AddFavouriteRoomMessageEvent = 19;
        public const int DeleteFavouriteRoomMessageEvent = 20;
        public const int DeleteRoomMessageEvent = 23;
        public const int ScrGetUserInfoMessageEvent = 26;
        public const int CreateFlatMessageEvent = 29;
        public const int SendMsgMessageEvent = 33;
        public const int SendRoomInviteMessageEvent = 34;
        public const int AcceptBuddyMessageEvent = 37;
        public const int DeclineBuddyMessageEvent = 38;
        public const int RequestBuddyMessageEvent = 39;
        public const int RemoveBuddyMessageEvent = 40;
        public const int HabboSearchMessageEvent = 41;
        public const int ApproveNameMessageEvent = 42;
        public const int UpdateFigureDataMessageEvent = 44;
        public const int ChatMessageEvent = 52;
        public const int QuitMessageEvent = 53;
        public const int ShoutMessageEvent = 55;
        public const int WhisperMessageEvent = 56;
        public const int GoToFlatMessageEvent = 59;
        public const int ApplyRoomEffect = 66;
        public const int PickupObjectMessageEvent = 67;
        public const int UnacceptTradingEvent = 68;
        public const int AcceptTradingEvent = 69;
        public const int CloseTradingEvent = 70;
        public const int OpenTradingEvent = 71;
        public const int AddItemToTradeEvent = 72;
        public const int MoveObjectMessageEvent = 73;
        public const int SetObjectDataMessageEvent = 74;
        public const int MoveAvatarMessageEvent = 75;
        public const int ThrowDiceMessageEvent = 76;
        public const int DiceOffMessageEvent = 77;
        public const int PresentOpenMessageEvent = 78;
        public const int LookToMessageEvent = 79;
        public const int GetItemDataMessageEvent = 83;
        public const int SetItemDataMessageEvent = 84;
        public const int RemoveItemMessageEvent = 85;
        public const int PlaceObjectMessageEvent = 90;
        public const int MoveWallItemMessageEvent = 91;
        public const int DanceMessageEvent = 93;
        public const int WaveMessageEvent = 94;
        public const int KickUserMessageEvent = 95;
        public const int AssignRightsMessageEvent = 96;
        public const int RemoveRightsMessageEvent = 97;
        public const int LetUserInMessageEvent = 98;
        public const int PurchaseFromCatalogEvent = 100;
        public const int GetCatalogIndexEvent = 101;
        public const int GetCatalogPageEvent = 102;
        public const int SignMessageEvent = 104;
        public const int ExitLockerRoomMessageEvent = 108;
        public const int ChangeRoomMessageEvent = 111;
        public const int VoteAnswerMessageEvent = 112;
        public const int TryBusMessageEvent = 113;
        public const int GetRoomAdMessageEvent = 126;
        public const int RedeemVoucherMessageEvent = 129;
        public const int GetUserFlatCatsMessageEvent = 151;
        public const int RemoveAllRightsMessageEvent = 155;
        public const int GetBadgesEvent = 157;
        public const int SetActivatedBadgesEvent = 158;
        public const int GetSelectedBadgesMessageEvent = 159;
        public const int GetInterstitialMessageEvent = 182;
        public const int CreditFurniRedeemMessageEvent = 183;
        public const int PongMessageEvent = 196;
        public const int ModeratorActionMessageEvent = 200;
        public const int InitCryptoMessageEvent = 206;
        public const int ChangeQueueMessageEvent = 211;
        public const int GetFurnitureAliasesMessageEvent = 215;
        public const int GetSongInfoMessageEvent = 221;
        public const int GetSoundSettingsEvent = 228;
        public const int SetSoundSettingsEvent = 229;
        public const int GetHabboGroupBadgesMessageEvent = 230;
        public const int GetHabboGroupDetailsMessageEvent = 231;
        public const int EnterOneWayDoorMessageEvent = 232;
        public const int GetBuddyRequestsMessageEvent = 233;
        public const int PollStartEvent = 234;
        public const int PollRejectEvent = 235;
        public const int PollAnswerEvent = 236;
        public const int GetPendingCallsForHelpMessageEvent = 237;
        public const int DeletePendingCallsForHelpMessageEvent = 238;
        public const int GetSoundMachinePlayListMessageEvent = 245;
        public const int SpinWheelOfFortuneMessageEvent = 247;
        public const int GetNowPlayingMessageEvent = 249;
        public const int AddJukeboxDiskEvent = 255;
        public const int RemoveJukeboxDiskEvent = 256;
        public const int GetJukeboxPlayListMessageEvent = 258;
        public const int GetUserSongDisksMessageEvent = 259;
        public const int RateFlatMessageEvent = 261;
        public const int FollowFriendMessageEvent = 262;
        public const int GetUserTagsMessageEvent = 263;
        public const int SetRandomStateMessageEvent = 314;
        public const int LatencyPingRequestMessageEvent = 315;
        public const int LatencyPingReportMessageEvent = 316;
        public const int StartTypingMessageEvent = 317;
        public const int CancelTypingMessageEvent = 318;
        public const int IgnoreUserMessageEvent = 319;
        public const int BanUserMessageEvent = 320;
        public const int GetIgnoredUsersMessageEvent = 321;
        public const int UnignoreUserMessageEvent = 322;
        public const int RoomDimmerGetPresetsMessageEvent = 341;
        public const int RoomDimmerSavePresetMessageEvent = 342;
        public const int RoomDimmerChangeStateMessageEvent = 343;
        public const int CanCreateEventMessageEvent = 345;
        public const int CreateEventMessageEvent = 346;
        public const int CancelEventMessageEvent = 347;
        public const int EditEventMessageEvent = 348;
        public const int GetAchievementsEvent = 370;
        public const int RespectUserMessageEvent = 371;
        public const int AvatarEffectSelectedEvent = 372;
        public const int AvatarEffectActivatedEvent = 373;
        public const int GetWardrobeMessageEvent = 375;
        public const int SaveWardrobeOutfitMessageEvent = 376;
        public const int GetOfficialRoomsMessageEvent = 380;
        public const int GetPopularRoomTagsMessageEvent = 382;
        public const int UpdateNavigatorSettingsMessageEvent = 384;
        public const int GetGuestRoomMessageEvent = 385;
        public const int UpdateRoomThumbnailMessageEvent = 386;
        public const int CanCreateRoomMessageEvent = 387;
        public const int GetPublicSpaceCastLibsMessageEvent = 388;
        public const int GetRoomEntryDataMessageEvent = 390;
        public const int OpenFlatConnectionMessageEvent = 391;
        public const int UseFurnitureMessageEvent = 392;
        public const int UseWallItemMessageEvent = 393;
        public const int GetRoomSettingsMessageEvent = 400;
        public const int SaveRoomSettingsMessageEvent = 401;
        public const int ConfirmAcceptTradingEvent = 402;
        public const int ConfirmDeclineTradingEvent = 403;
        public const int RequestFurniInventoryEvent = 404;
        public const int RemoveItemFromTradeEvent = 405;
        public const int GetRecyclerPrizesMessageEvent = 412;
        public const int GetRecyclerStatusMessageEvent = 413;
        public const int RecycleItemsMessageEvent = 414;
        public const int SSOTicketMessageEvent = 415;
        public const int GetClientFaqsMessageEvent = 416;
        public const int GetFaqCategoriesMessageEvent = 417;
        public const int GetFaqTextMessageEvent = 418;
        public const int SearchFaqsMessageEvent = 419;
        public const int GetFaqCategoryMessageEvent = 420;
        public const int PerformanceLogMessageEvent = 421;
        public const int LagWarningReportMessageEvent = 422;
        public const int PopularRoomsSearchMessageEvent = 430;
        public const int RoomsWithHighestScoreSearchMessageEvent = 431;
        public const int MyFriendsRoomsSearchMessageEvent = 432;
        public const int RoomsWhereMyFriendsAreSearchMessageEvent = 433;
        public const int MyRoomsSearchMessageEvent = 434;
        public const int MyFavouriteRoomsSearchMessageEvent = 435;
        public const int MyRoomHistorySearchMessageEvent = 436;
        public const int RoomTextSearchMessageEvent = 437;
        public const int RoomTagSearchMessageEvent = 438;
        public const int LatestEventsSearchMessageEvent = 439;
        public const int CallGuideBotMessageEvent = 440;
        public const int KickBotMessageEvent = 441;
        public const int PickIssuesMessageEvent = 450;
        public const int ReleaseIssuesMessageEvent = 451;
        public const int CloseIssuesMessageEvent = 452;
        public const int CallForHelpMessageEvent = 453;
        public const int GetModeratorUserInfoMessageEvent = 454;
        public const int GetUserChatlogMessageEvent = 455;
        public const int GetRoomChatlogMessageEvent = 456;
        public const int GetCfhChatlogMessageEvent = 457;
        public const int GetRoomVisitsMessageEvent = 458;
        public const int GetModeratorRoomInfoMessageEvent = 459;
        public const int ModerateRoomMessageEvent = 460;
        public const int ModAlertMessageEvent = 461;
        public const int ModMessageMessageEvent = 462;
        public const int ModKickMessageEvent = 463;
        public const int ModBanMessageEvent = 464;
        public const int ChangeUserNameMessageEvent = 470;
        public const int CheckUserNameMessageEvent = 471;
        public const int PurchaseFromCatalogAsGiftEvent = 472;
        public const int GetGiftWrappingConfigurationEvent = 473;
        public const int SelectClubGiftEvent = 475;
        public const int SetClothingChangeDataMessageEvent = 480;
        public const int GetAchievementShareIdEvent = 481;
        public const int EventLogMessageEvent = 482;
        public const int ToggleStaffPickMessageEvent = 483;
        public const int ChangeMottoMessageEvent = 484;
        public const int FindNewFriendsMessageEvent = 490;
        public const int GetEventStreamEvent = 500;
        public const int SetEventStreamingAllowedEvent = 501;
        public const int DisconnectMessageEvent = 512;
        public const int TryLoginMessageEvent = 756;
        public const int UniqueIDMessageEvent = 813;
        public const int VersionCheckMessageEvent = 1170;
        public const int GetSessionParametersMessageEvent = 1817;
        public const int GenerateSecretKeyMessageEvent = 2002;
        public const int GetPetInventoryEvent = 3000;
        public const int GetPetInfoMessageEvent = 3001;
        public const int PlacePetMessageEvent = 3002;
        public const int RemovePetFromFlatMessageEvent = 3003;
        public const int GetPetCommandsMessageEvent = 3004;
        public const int RespectPetMessageEvent = 3005;
        public const int OpenPetPackageMessageEvent = 3006;
        public const int GetSellablePetBreedsEvent = 3007;
        public const int MakeOfferMessageEvent = 3010;
        public const int GetMarketplaceConfigurationMessageEvent = 3011;
        public const int GetMarketplaceCanMakeOfferEvent = 3012;
        public const int BuyMarketplaceTokensMessageEvent = 3013;
        public const int BuyOfferMessageEvent = 3014;
        public const int CancelOfferMessageEvent = 3015;
        public const int RedeemOfferCreditsMessageEvent = 3016;
        public const int GetOffersMessageEvent = 3018;
        public const int GetOwnOffersMessageEvent = 3019;
        public const int GetMarketplaceItemStatsEvent = 3020;
        public const int GetIsOfferGiftableEvent = 3030;
        public const int GetClubOffersMessageEvent = 3031;
        public const int GetBadgePointLimitsEvent = 3032;
        public const int MarkCatalogNewAdditionsPageOpenedEvent = 3034;
        public const int GetHabboClubExtendOfferMessageEvent = 3035;
        public const int PurchaseVipMembershipExtensionEvent = 3036;
        public const int PurchaseBasicMembershipExtensionEvent = 3037;
        public const int GetHabboBasicMembershipExtendOfferEvent = 3038;
        public const int UpdateTriggerMessageEvent = 3050;
        public const int UpdateActionMessageEvent = 3051;
        public const int UpdateConditionMessageEvent = 3052;
        public const int OpenMessageEvent = 3053;
        public const int ApplySnapshotMessageEvent = 3054;
        public const int QuestVendingWallItemMessageEvent = 3100;
        public const int GetQuestsMessageEvent = 3101;
        public const int AcceptQuestMessageEvent = 3102;
        public const int ViralTeaserFoundMessageEvent = 3103;
        public const int ViralFurniStatusMessageEvent = 3104;
        public const int GetUserNotificationsMessageEvent = 3105;
        public const int RejectQuestMessageEvent = 3106;
        public const int OpenQuestTrackerMessageEvent = 3107;
        public const int StartCampaignMessageEvent = 3108;
        public const int GetMOTDMessageEvent = 3110;
        public const int ResetUnseenItemsEvent = 3111;
        public const int FriendRequestQuestCompleteMessageEvent = 3210;
        public const int OpenWelcomeGiftEvent = 3252;
        public const int ChangeEmailEvent = 3253;
        public const int PlacePostItMessageEvent = 3254;
        public const int AddSpamWallPostItMessageEvent = 3255;
        public const int JoinGuildEvent = 3257;
        public const int GetGuildFavorite = 3258;
        public const int RemoveGuildFavorite = 3259;
        public const int LoadUserGroupsEvent = 3260;
        public const int FaceBookIsLoggedOnMessageEvent = 3300;
        public const int FaceBookIsLoggedOffMessageEvent = 3301;
        public const int FaceBookInitiateAddFriendsMessageEvent = 3311;
    }
}